# Add IP directory to IP_REPO_PATHS
set script_dir [file dirname [info script]]
set ip_repos [get_property ip_repo_paths [current_project]]
set ip_repos "${ip_repos} ${script_dir}/IP/"
set_property ip_repo_paths "${ip_repos}" [current_project]
update_ip_catalog

# Get part of project
set part [get_property PART [current_project]]  

source -notrace "${script_dir}/generate_bd.tcl"

# Add constraints files
add_files -fileset constrs_1 -norecurse ${script_dir}/trd_io.xdc
add_files -fileset constrs_1 -norecurse ${script_dir}/trd_timing.xdc
set_property PROCESSING_ORDER LATE [get_files *trd_timing.xdc]

# Make HDL (Block design) wrapper
set project_dir [get_property DIRECTORY [current_project]]
set project_name [get_property NAME [current_project]]
make_wrapper -files [get_files "${project_dir}/${project_name}.srcs/sources_1/bd/${design_name}/${design_name}.bd"] -top
# Based on TARGET_LANGUAGE property, add the right file
if { [get_property TARGET_LANGUAGE [current_project]] == "Verilog" } {
   set wrapper_file "${project_dir}/${project_name}.srcs/sources_1/bd/${design_name}/hdl/${design_name}_wrapper.v"
} else {
   set wrapper_file "${project_dir}/${project_name}.srcs/sources_1/bd/${design_name}/hdl/${design_name}_wrapper.vhd"
}
add_files -norecurse $wrapper_file
update_compile_order -fileset sources_1

puts "\nReference design for TDPZU board succesfully created"
