#!/bin/sh

rm -f fpga.bit

case "$FPGA_FAMILY" in
	xczu9eg)
		export PART=${FPGA_FAMILY}-ffvb1156-1-i
		;;
	*)
		echo "Environment variable FPGA_FAMILY=$FPGA_FAMILY is not valid"
		echo "Valid are: xczu9eg"
		exit 1
		;;
esac

case "$NO_ECC" in
	YES)
		echo "Variable 'NO_ECC' set. Patching block design to not have ECC."
		patch generate_bd.tcl < no-ecc.patch
		;;
	*)
		echo "Variable 'NO_ECC' not set. Will build with ECC enabled."
		;;
esac
###################
# Unzip IP's
# Fan controller
pushd IP/ip-topic-fanctrl
unzip -o *.zip
popd


VIVADO_TCL="vivado -nolog -nojournal -mode batch -notrace -source"

$VIVADO_TCL generate_bitstream.tcl -tclargs ${PART}

cp ${PART}/${PART}.runs/impl_1/*.bit fpga.bit
