#!/bin/sh -e

# Check if in right directory and/or build is run
if [ ! -e fpga.bit ]
then
	echo "File 'fpga.bit' not found."
	exit 1
fi

PART=${FPGA_FAMILY}-ffvb1156-1-i



if [ ! -e "${PART}.xsa" ]
then
	echo "File '${PART}.xsa' not found."
	exit 1
fi

case "$NO_ECC" in
	YES)
		config="no-ecc"
		;;
	*)
		config="ecc"
		;;
esac

# For future expansion
MACHINE=tdpzu9
PACKAGE_NAME="fpga-image-tdp-reference"
PACKAGE2_NAME="fpga-hardware-tdp-reference"

VERSION=`git rev-list HEAD | wc -l`+`git rev-parse --short HEAD`

xz -9 < fpga.bit > ${PACKAGE_NAME}-${config}-${VERSION}.bit.xz
xz -9 < "${PART}.xsa" > ${PACKAGE2_NAME}-${config}-${VERSION}.xsa.xz
