######## Miami Clock sources ############
# Si5345 chip (programmable clock) running at 250 MHz
create_clock -period 4.0 -name clk_fpga_0 [get_ports {CLOCK_FPGA0_clk_p[0]}]
set_property PACKAGE_PIN AE7 [get_ports {CLOCK_FPGA0_clk_p[0]}]
set_property IOSTANDARD LVDS [get_ports {CLOCK_FPGA0_clk_p[0]}]
create_clock -period 10.0 -name clk_fpga_1 [get_ports {CLOCK_FPGA1_clk_p[0]}]
set_property PACKAGE_PIN AL6 [get_ports {CLOCK_FPGA1_clk_p[0]}]
set_property IOSTANDARD LVDS [get_ports {CLOCK_FPGA1_clk_p[0]}]

########## GP LEDs  ############
set_property PACKAGE_PIN H18 [get_ports {GP_LEDS[0]}]
set_property PACKAGE_PIN H19 [get_ports {GP_LEDS[1]}]
set_property PACKAGE_PIN C21 [get_ports {GP_LEDS[2]}]
set_property PACKAGE_PIN B21 [get_ports {GP_LEDS[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports -regexp -nocase GP_LEDS.*]

########## PMOD#0 (J7) ########
set_property PACKAGE_PIN E17 [get_ports {PMOD_0_tri_io[0]}]
set_property PACKAGE_PIN E18 [get_ports {PMOD_0_tri_io[1]}]
set_property PACKAGE_PIN E19 [get_ports {PMOD_0_tri_io[2]}]
set_property PACKAGE_PIN D19 [get_ports {PMOD_0_tri_io[3]}]
set_property PACKAGE_PIN F17 [get_ports {PMOD_0_tri_io[4]}]
set_property PACKAGE_PIN F18 [get_ports {PMOD_0_tri_io[5]}]
set_property PACKAGE_PIN E22 [get_ports {PMOD_0_tri_io[6]}]
set_property PACKAGE_PIN D22 [get_ports {PMOD_0_tri_io[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports PMOD_0_tri_io*]
########## PMOD#1 (J8) ########
set_property PACKAGE_PIN D17 [get_ports {PMOD_1_tri_io[0]}]
set_property PACKAGE_PIN C17 [get_ports {PMOD_1_tri_io[1]}]
set_property PACKAGE_PIN C18 [get_ports {PMOD_1_tri_io[2]}]
set_property PACKAGE_PIN C19 [get_ports {PMOD_1_tri_io[3]}]
set_property PACKAGE_PIN A17 [get_ports {PMOD_1_tri_io[4]}]
set_property PACKAGE_PIN A18 [get_ports {PMOD_1_tri_io[5]}]
set_property PACKAGE_PIN B18 [get_ports {PMOD_1_tri_io[6]}]
set_property PACKAGE_PIN B19 [get_ports {PMOD_1_tri_io[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports PMOD_1_tri_io*]

################## TEMPERATURE SENSOR I2C ##################
set_property PACKAGE_PIN AK14 [get_ports TEMP_I2C_scl_io]
set_property PACKAGE_PIN AK13 [get_ports TEMP_I2C_sda_io]
set_property PACKAGE_PIN AK15 [get_ports TEMP_I2C_IRQ];
set_property IOSTANDARD LVCMOS33 [get_ports TEMP_I2C_*]
set_property PULLUP true [get_ports TEMP_I2C_s*]

################## FAN ##################
set_property PACKAGE_PIN AN12 [get_ports {FAN_PWM[0]}]
set_property PACKAGE_PIN AP12 [get_ports {FAN_TACHO[0]}]
set_property PACKAGE_PIN L20 [get_ports {FAN_PWM_R0[0]}]
set_property PACKAGE_PIN K20 [get_ports {FAN_TACHO_R0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports FAN_*]

################## VERSION PINS ##################
set_property PACKAGE_PIN AN13 [get_ports {VERSION[0]}]
set_property PACKAGE_PIN AM14 [get_ports {VERSION[1]}]
set_property PACKAGE_PIN AP14 [get_ports {VERSION[2]}]
set_property PACKAGE_PIN AN14 [get_ports {VERSION[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports VERSION*]
set_property PULLUP true [get_ports VERSION*]

################## USER LED ##################
set_property PACKAGE_PIN AL12 [get_ports {LED_USER[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED_USER[0]}]
set_property PULLUP true [get_ports LED_USER*]

############### PL SWITCHES ################
set_property PACKAGE_PIN AF13 [get_ports {SWITCH_PL[0]}]
set_property PACKAGE_PIN AE13 [get_ports {SWITCH_PL[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports SWITCH_PL*]
set_property PULLUP true [get_ports SWITCH_PL*]

############## ETHERNET ###############
set_property PACKAGE_PIN H10 [get_ports ETH_LED1]
set_property PACKAGE_PIN H12 [get_ports ETH_SWITCH_CTRL]
set_property PACKAGE_PIN G13 [get_ports ETH_CONFIG_FPGA]
set_property PACKAGE_PIN H13 [get_ports ETH_125MHZ_CLK]
set_property PACKAGE_PIN G15 [get_ports ETH_CLK_SWITCH_CTRL]
set_property IOSTANDARD LVCMOS18 [get_ports -filter "IOBANK == 50" ETH_* ]
